## org.apache.lucene.queryParser.surround.query
Class SrndTruncQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.SimpleTerm
              org.apache.lucene.queryParser.surround.query.SrndTruncQuery

All Implemented Interfaces:
  Cloneable, Comparable<SimpleTerm>, DistanceSubQuery

    public class SrndTruncQuery

extends SimpleTerm

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`SimpleTerm.MatchingTermVisitor`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`SrndTruncQuery(String truncated, char unlimited, char mask)`

Method Summary
`protected void` `appendRegExpForChar(char c, StringBuilder re)`
`String` `getTruncated()`
`protected boolean` `matchingChar(char c)`
`String` `toStringUnquoted()`
`protected void` `truncatedToPrefixAndPattern()`
`void` `visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, suffixToString, toString`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SrndTruncQuery

    public SrndTruncQuery(String truncated,
                          char unlimited,
                          char mask)

Method Detail

### getTruncated

    public String getTruncated()

### toStringUnquoted

    public String toStringUnquoted()

  Specified by:
    `toStringUnquoted` in class `SimpleTerm`

### matchingChar

    protected boolean matchingChar(char c)

### appendRegExpForChar

    protected void appendRegExpForChar(char c,
                                       StringBuilder re)

### truncatedToPrefixAndPattern

    protected void truncatedToPrefixAndPattern()

### visitMatchingTerms

    public void visitMatchingTerms(IndexReader reader,
                                   String fieldName,
                                   SimpleTerm.MatchingTermVisitor mtv)
                            throws IOException

  Specified by:
    `visitMatchingTerms` in class `SimpleTerm`
  Throws:
    `IOException`